Bug 546781 - Fedora 12 Virtualization Guide contains screenshots for Red Hat Enterprise Linux 5
Summary: Fedora 12 Virtualization Guide contains screenshots for Red Hat Enterprise Li...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: virtualization-guide
Version: devel
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Curran
QA Contact: Nobody's working on this, feel free to take it
URL: http://docs.fedoraproject.org/virtual...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 22:34 UTC by Adam Miller
Modified: 2011-10-10 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 17:19:32 UTC


Attachments (Terms of Use)

Description Adam Miller 2009-12-11 22:34:30 UTC
Description of problem:
The virtualization documentation is for RHEL5, not Fedora 12.

Version-Release number of selected component (if applicable):
http://docs.fedoraproject.org/virtualization-guide/f12/en-US/html/

Comment 1 Karsten Wade 2009-12-11 23:34:14 UTC
(In reply to comment #0)
> Description of problem:
> The virtualization documentation is for RHEL5, not Fedora 12.
> 
> Version-Release number of selected component (if applicable):
> http://docs.fedoraproject.org/virtualization-guide/f12/en-US/html/  

Any reason it is hosted on docs.fedoraproject.org/.../f12/ then?  Shouldn't it be hosted on redhat.com/docs instead?

If your goal was to make it possible for Fedorans to make the content relevant for Fedora, sorry, I haven't heard about the effort.  There may be people interested in that, have you asked around?

Comment 2 eric 2009-12-12 00:18:08 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > The virtualization documentation is for RHEL5, not Fedora 12.
> > 
> > Version-Release number of selected component (if applicable):
> > http://docs.fedoraproject.org/virtualization-guide/f12/en-US/html/  
> 
> Any reason it is hosted on docs.fedoraproject.org/.../f12/ then?  Shouldn't it
> be hosted on redhat.com/docs instead?
> 
> If your goal was to make it possible for Fedorans to make the content relevant
> for Fedora, sorry, I haven't heard about the effort.  There may be people
> interested in that, have you asked around?  

When I did a quick look it appears that the screen shots are from RHEL.  I don't think the guide is for RHEL.

Comment 3 eric 2009-12-12 03:09:36 UTC
Well, I'll back up...  

Is this guide for Fedora with RHEL screenshots or is this guide for RHEL?

Comment 4 Ruediger Landmann 2009-12-16 23:05:39 UTC
This in indeed the guide to virtualization on Fedora 12; and was derived from (but is not identical to) the guide for Red Hat Enterprise Linux 5. 

It's also true that many of the screenshots need to be changed for Fedora; a more accurate summary of the bug would be "Fedora 12 Virtualization Guide contains screenshots for Red Hat Enterprise Linux 5".

Comment 5 eric 2009-12-16 23:17:36 UTC
That's what I figured.  Thanks!

Comment 6 Christopher Curran 2009-12-17 05:02:36 UTC
Like many open source projects this one is at the mercy of the maintainer. If the maintainer is slack (sort of like me) the project can get sidetracked. I know the screenshots are broken/old, screenshots are way down my list of priorities (cool stuff and new features come first :P ). I'll get around to this, but it is unlikely I will get time before late January. As always, patches welcome.

Chris

Comment 7 Adam Miller 2009-12-17 05:18:46 UTC
This might sound like a fun bit of irony (or just in my head it does), but where might I find documentation on how to write a patch for the documentation? I'm extremely unfamiliar with the mechanisms used to generate documentation for Fedora but would be very willing to read documentation on how it is done so that I may provide a patch.

Many thanks,
-Adam

Comment 8 Christopher Curran 2009-12-17 05:48:23 UTC
Hi Adam,

It's link time. I think there is an intro to docs guide somewhere but it is probably long and uninteresting.

The Virtualization Guide uses publican. Publican is available from the standard fedora repositories. The publican user guide is where you get the smarts on building books with publican:
http://rlandmann.fedorapeople.org/pug/

The book's source is here (uses FAS):
ssh://git.fedorahosted.org/git/Virtualization_Guide.git

The source is in docbook XML. The docbook XML spec and reference guide is here:
http://www.docbook.org/tdg/en/html/docbook.html

For this particular tasks the only XML that would really need changing is the mediaobject elements which link the images to the book. A typical fragment looks like this:
<mediaobject>
  <imageobject>
    <imagedata fileref="images/win2003_select_hal.png" format="PNG" scalefit="1" width="444" />
  </imageobject>
</mediaobject>

That fileref is the absolute path to the image in the images directory of the source repository. You can update images without changing the source at all (although you are more than welcome to create patches to the source).

Say I want to update that particular screenshot. I would follow a workflow something like this:
  1. follow the procedure to get to that step. (if the procedure is wrong, please file a bug, I know many things have changed)
  2. take the screenshot with the print screen key.
  3. Crop the screenshot in the KDE/gnome screenshot menu or in GIMP (or your preferred image manipulator).
  4. Save the image over the top of the old image. In this example replacing images/win2003_select_hal.png with a shot from the new virt-manager UI.
  5. git add en-US/images/win2003_select_hal.png; git commit -m"I fixed your dodgy HAL screenshot"; git push or git-format-patch master
  6. ???
  7. Profit

That's it. Nice and easy to do while listening to some tunes. If you get energetic you could help me take screenshots for all 50+ langauges the fedora desktop ship in :D.

I hope this helps.

Cheers,
Chris


Note You need to log in before you can comment on or make changes to this bug.